Package org.eclipse.birt.chart.model.type

# Interface TypePackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TypePackageImpl`

public interface TypePackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Schema file for the chart.model package.

See Also:
  - `TypeFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`TypePackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AREA_SERIES`
The meta object id for the '`Area Series`' class.
`static final int`
`AREA_SERIES__CONNECT_MISSING_VALUE`
The feature id for the 'Connect Missing Value' attribute.
`static final int`
`AREA_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`AREA_SERIES__CURVE`
The feature id for the 'Curve' attribute.
`static final int`
`AREA_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`AREA_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`AREA_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`AREA_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`AREA_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`AREA_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`AREA_SERIES__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`AREA_SERIES__MARKER`
The feature id for the 'Marker' containment reference.
`static final int`
`AREA_SERIES__MARKERS`
The feature id for the 'Markers' containment reference list.
`static final int`
`AREA_SERIES__PALETTE_LINE_COLOR`
The feature id for the 'Palette Line Color' attribute.
`static final int`
`AREA_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`AREA_SERIES__SHADOW_COLOR`
The feature id for the 'Shadow Color' containment reference.
`static final int`
`AREA_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`AREA_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`AREA_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`AREA_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`AREA_SERIES_FEATURE_COUNT`
The number of structural features of the 'Area Series' class.
`static final int`
`BAR_SERIES`
The meta object id for the '`Bar Series`' class.
`static final int`
`BAR_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`BAR_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`BAR_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`BAR_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`BAR_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`BAR_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`BAR_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`BAR_SERIES__RISER`
The feature id for the 'Riser' attribute.
`static final int`
`BAR_SERIES__RISER_OUTLINE`
The feature id for the 'Riser Outline' containment reference.
`static final int`
`BAR_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`BAR_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`BAR_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`BAR_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`BAR_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`BAR_SERIES_FEATURE_COUNT`
The number of structural features of the 'Bar Series' class.
`static final int`
`BUBBLE_SERIES`
The meta object id for the '`Bubble Series`' class.
`static final int`
`BUBBLE_SERIES__ACC_LINE_ATTRIBUTES`
The feature id for the 'Acc Line Attributes' containment reference.
`static final int`
`BUBBLE_SERIES__ACC_ORIENTATION`
The feature id for the 'Acc Orientation' attribute.
`static final int`
`BUBBLE_SERIES__CONNECT_MISSING_VALUE`
The feature id for the 'Connect Missing Value' attribute.
`static final int`
`BUBBLE_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`BUBBLE_SERIES__CURVE`
The feature id for the 'Curve' attribute.
`static final int`
`BUBBLE_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`BUBBLE_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`BUBBLE_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`BUBBLE_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`BUBBLE_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`BUBBLE_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`BUBBLE_SERIES__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`BUBBLE_SERIES__MARKER`
The feature id for the 'Marker' containment reference.
`static final int`
`BUBBLE_SERIES__MARKERS`
The feature id for the 'Markers' containment reference list.
`static final int`
`BUBBLE_SERIES__PALETTE_LINE_COLOR`
The feature id for the 'Palette Line Color' attribute.
`static final int`
`BUBBLE_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`BUBBLE_SERIES__SHADOW_COLOR`
The feature id for the 'Shadow Color' containment reference.
`static final int`
`BUBBLE_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`BUBBLE_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`BUBBLE_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`BUBBLE_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`BUBBLE_SERIES_FEATURE_COUNT`
The number of structural features of the 'Bubble Series' class.
`static final int`
`DIAL_SERIES`
The meta object id for the '`Dial Series`' class.
`static final int`
`DIAL_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`DIAL_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`DIAL_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`DIAL_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`DIAL_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`DIAL_SERIES__DIAL`
The feature id for the 'Dial' containment reference.
`static final int`
`DIAL_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`DIAL_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`DIAL_SERIES__NEEDLE`
The feature id for the 'Needle' containment reference.
`static final int`
`DIAL_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`DIAL_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`DIAL_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`DIAL_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`DIAL_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`DIAL_SERIES_FEATURE_COUNT`
The number of structural features of the 'Dial Series' class.
`static final int`
`DIFFERENCE_SERIES`
The meta object id for the '`Difference Series`' class.
`static final int`
`DIFFERENCE_SERIES__CONNECT_MISSING_VALUE`
The feature id for the 'Connect Missing Value' attribute.
`static final int`
`DIFFERENCE_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`DIFFERENCE_SERIES__CURVE`
The feature id for the 'Curve' attribute.
`static final int`
`DIFFERENCE_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`DIFFERENCE_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`DIFFERENCE_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`DIFFERENCE_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`DIFFERENCE_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`DIFFERENCE_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`DIFFERENCE_SERIES__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`DIFFERENCE_SERIES__MARKER`
The feature id for the 'Marker' containment reference.
`static final int`
`DIFFERENCE_SERIES__MARKERS`
The feature id for the 'Markers' containment reference list.
`static final int`
`DIFFERENCE_SERIES__NEGATIVE_LINE_ATTRIBUTES`
The feature id for the 'Negative Line Attributes' containment reference.
`static final int`
`DIFFERENCE_SERIES__NEGATIVE_MARKERS`
The feature id for the 'Negative Markers' containment reference list.
`static final int`
`DIFFERENCE_SERIES__PALETTE_LINE_COLOR`
The feature id for the 'Palette Line Color' attribute.
`static final int`
`DIFFERENCE_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`DIFFERENCE_SERIES__SHADOW_COLOR`
The feature id for the 'Shadow Color' containment reference.
`static final int`
`DIFFERENCE_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`DIFFERENCE_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`DIFFERENCE_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`DIFFERENCE_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`DIFFERENCE_SERIES_FEATURE_COUNT`
The number of structural features of the 'Difference Series' class.
`static final TypePackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`GANTT_SERIES`
The meta object id for the '`Gantt Series`' class.
`static final int`
`GANTT_SERIES__CONNECTION_LINE`
The feature id for the 'Connection Line' containment reference.
`static final int`
`GANTT_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`GANTT_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`GANTT_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`GANTT_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`GANTT_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`GANTT_SERIES__DECORATION_LABEL`
The feature id for the 'Decoration Label' containment reference.
`static final int`
`GANTT_SERIES__DECORATION_LABEL_POSITION`
The feature id for the 'Decoration Label Position' attribute.
`static final int`
`GANTT_SERIES__END_MARKER`
The feature id for the 'End Marker' containment reference.
`static final int`
`GANTT_SERIES__END_MARKER_POSITION`
The feature id for the 'End Marker Position' attribute.
`static final int`
`GANTT_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`GANTT_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`GANTT_SERIES__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`GANTT_SERIES__OUTLINE_FILL`
The feature id for the 'Outline Fill' containment reference.
`static final int`
`GANTT_SERIES__PALETTE_LINE_COLOR`
The feature id for the 'Palette Line Color' attribute.
`static final int`
`GANTT_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`GANTT_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`GANTT_SERIES__START_MARKER`
The feature id for the 'Start Marker' containment reference.
`static final int`
`GANTT_SERIES__START_MARKER_POSITION`
The feature id for the 'Start Marker Position' attribute.
`static final int`
`GANTT_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`GANTT_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`GANTT_SERIES__USE_DECORATION_LABEL_VALUE`
The feature id for the 'Use Decoration Label Value' attribute.
`static final int`
`GANTT_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`GANTT_SERIES_FEATURE_COUNT`
The number of structural features of the 'Gantt Series' class.
`static final int`
`LINE_SERIES`
The meta object id for the '`Line Series`' class.
`static final int`
`LINE_SERIES__CONNECT_MISSING_VALUE`
The feature id for the 'Connect Missing Value' attribute.
`static final int`
`LINE_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`LINE_SERIES__CURVE`
The feature id for the 'Curve' attribute.
`static final int`
`LINE_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`LINE_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`LINE_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`LINE_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`LINE_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`LINE_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`LINE_SERIES__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`LINE_SERIES__MARKER`
The feature id for the 'Marker' containment reference.
`static final int`
`LINE_SERIES__MARKERS`
The feature id for the 'Markers' containment reference list.
`static final int`
`LINE_SERIES__PALETTE_LINE_COLOR`
The feature id for the 'Palette Line Color' attribute.
`static final int`
`LINE_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`LINE_SERIES__SHADOW_COLOR`
The feature id for the 'Shadow Color' containment reference.
`static final int`
`LINE_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`LINE_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`LINE_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`LINE_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`LINE_SERIES_FEATURE_COUNT`
The number of structural features of the 'Line Series' class.
`static final int`
`PIE_SERIES`
The meta object id for the '`Pie Series`' class.
`static final int`
`PIE_SERIES__CLOCKWISE`
The feature id for the 'Clockwise' attribute.
`static final int`
`PIE_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`PIE_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`PIE_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`PIE_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`PIE_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`PIE_SERIES__EXPLOSION`
The feature id for the 'Explosion' attribute.
`static final int`
`PIE_SERIES__EXPLOSION_EXPRESSION`
The feature id for the 'Explosion Expression' attribute.
`static final int`
`PIE_SERIES__INNER_RADIUS`
The feature id for the 'Inner Radius' attribute.
`static final int`
`PIE_SERIES__INNER_RADIUS_PERCENT`
The feature id for the 'Inner Radius Percent' attribute.
`static final int`
`PIE_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`PIE_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`PIE_SERIES__LEADER_LINE_ATTRIBUTES`
The feature id for the 'Leader Line Attributes' containment reference.
`static final int`
`PIE_SERIES__LEADER_LINE_LENGTH`
The feature id for the 'Leader Line Length' attribute.
`static final int`
`PIE_SERIES__LEADER_LINE_STYLE`
The feature id for the 'Leader Line Style' attribute.
`static final int`
`PIE_SERIES__RATIO`
The feature id for the 'Ratio' attribute.
`static final int`
`PIE_SERIES__ROTATION`
The feature id for the 'Rotation' attribute.
`static final int`
`PIE_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`PIE_SERIES__SLICE_OUTLINE`
The feature id for the 'Slice Outline' containment reference.
`static final int`
`PIE_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`PIE_SERIES__TITLE`
The feature id for the 'Title' containment reference.
`static final int`
`PIE_SERIES__TITLE_POSITION`
The feature id for the 'Title Position' attribute.
`static final int`
`PIE_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`PIE_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`PIE_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`PIE_SERIES_FEATURE_COUNT`
The number of structural features of the 'Pie Series' class.
`static final int`
`SCATTER_SERIES`
The meta object id for the '`Scatter Series`' class.
`static final int`
`SCATTER_SERIES__CONNECT_MISSING_VALUE`
The feature id for the 'Connect Missing Value' attribute.
`static final int`
`SCATTER_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`SCATTER_SERIES__CURVE`
The feature id for the 'Curve' attribute.
`static final int`
`SCATTER_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`SCATTER_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`SCATTER_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`SCATTER_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`SCATTER_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`SCATTER_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`SCATTER_SERIES__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`SCATTER_SERIES__MARKER`
The feature id for the 'Marker' containment reference.
`static final int`
`SCATTER_SERIES__MARKERS`
The feature id for the 'Markers' containment reference list.
`static final int`
`SCATTER_SERIES__PALETTE_LINE_COLOR`
The feature id for the 'Palette Line Color' attribute.
`static final int`
`SCATTER_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`SCATTER_SERIES__SHADOW_COLOR`
The feature id for the 'Shadow Color' containment reference.
`static final int`
`SCATTER_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`SCATTER_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`SCATTER_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`SCATTER_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`SCATTER_SERIES_FEATURE_COUNT`
The number of structural features of the 'Scatter Series' class.
`static final int`
`STOCK_SERIES`
The meta object id for the '`Stock Series`' class.
`static final int`
`STOCK_SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`STOCK_SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`STOCK_SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`STOCK_SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`STOCK_SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`STOCK_SERIES__FILL`
The feature id for the 'Fill' containment reference.
`static final int`
`STOCK_SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`STOCK_SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`STOCK_SERIES__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`STOCK_SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`STOCK_SERIES__SHOW_AS_BAR_STICK`
The feature id for the 'Show As Bar Stick' attribute.
`static final int`
`STOCK_SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`STOCK_SERIES__STICK_LENGTH`
The feature id for the 'Stick Length' attribute.
`static final int`
`STOCK_SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`STOCK_SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`STOCK_SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`STOCK_SERIES_FEATURE_COUNT`
The number of structural features of the 'Stock Series' class.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getAreaSeries()`
Returns the meta object for class '`Area Series`'.
`org.eclipse.emf.ecore.EClass`
`getBarSeries()`
Returns the meta object for class '`Bar Series`'.
`org.eclipse.emf.ecore.EAttribute`
`getBarSeries_Riser()`
Returns the meta object for the attribute '`Riser`'.
`org.eclipse.emf.ecore.EReference`
`getBarSeries_RiserOutline()`
Returns the meta object for the containment reference '`Riser Outline`'.
`org.eclipse.emf.ecore.EClass`
`getBubbleSeries()`
Returns the meta object for class '`Bubble Series`'.
`org.eclipse.emf.ecore.EReference`
`getBubbleSeries_AccLineAttributes()`
Returns the meta object for the containment reference '`Acc Line Attributes`'.
`org.eclipse.emf.ecore.EAttribute`
`getBubbleSeries_AccOrientation()`
Returns the meta object for the attribute '`Acc Orientation`'.
`org.eclipse.emf.ecore.EClass`
`getDialSeries()`
Returns the meta object for class '`Dial Series`'.
`org.eclipse.emf.ecore.EReference`
`getDialSeries_Dial()`
Returns the meta object for the containment reference '`Dial`'.
`org.eclipse.emf.ecore.EReference`
`getDialSeries_Needle()`
Returns the meta object for the containment reference '`Needle`'.
`org.eclipse.emf.ecore.EClass`
`getDifferenceSeries()`
Returns the meta object for class '`Difference Series`'.
`org.eclipse.emf.ecore.EReference`
`getDifferenceSeries_NegativeLineAttributes()`
Returns the meta object for the containment reference '`Negative Line Attributes`'.
`org.eclipse.emf.ecore.EReference`
`getDifferenceSeries_NegativeMarkers()`
Returns the meta object for the containment reference list '`Negative Markers`'.
`org.eclipse.emf.ecore.EClass`
`getGanttSeries()`
Returns the meta object for class '`Gantt Series`'.
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_ConnectionLine()`
Returns the meta object for the containment reference '`Connection Line`'.
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_DecorationLabel()`
Returns the meta object for the containment reference '`Decoration Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_DecorationLabelPosition()`
Returns the meta object for the attribute '`Decoration Label Position`'.
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_EndMarker()`
Returns the meta object for the containment reference '`End Marker`'.
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_EndMarkerPosition()`
Returns the meta object for the attribute '`End Marker Position`'.
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_Outline()`
Returns the meta object for the containment reference '`Outline`'.
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_OutlineFill()`
Returns the meta object for the containment reference '`Outline Fill`'.
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_PaletteLineColor()`
Returns the meta object for the attribute '`Palette Line Color`'.
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_StartMarker()`
Returns the meta object for the containment reference '`Start Marker`'.
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_StartMarkerPosition()`
Returns the meta object for the attribute '`Start Marker Position`'.
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_UseDecorationLabelValue()`
Returns the meta object for the attribute '`Use Decoration Label Value`'.
`org.eclipse.emf.ecore.EClass`
`getLineSeries()`
Returns the meta object for class '`Line Series`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineSeries_ConnectMissingValue()`
Returns the meta object for the attribute '`Connect Missing Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineSeries_Curve()`
Returns the meta object for the attribute '`Curve`'.
`org.eclipse.emf.ecore.EReference`
`getLineSeries_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EReference`
`getLineSeries_Marker()`
Returns the meta object for the containment reference '`Marker`'.
`org.eclipse.emf.ecore.EReference`
`getLineSeries_Markers()`
Returns the meta object for the containment reference list '`Markers`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineSeries_PaletteLineColor()`
Returns the meta object for the attribute '`Palette Line Color`'.
`org.eclipse.emf.ecore.EReference`
`getLineSeries_ShadowColor()`
Returns the meta object for the containment reference '`Shadow Color`'.
`org.eclipse.emf.ecore.EClass`
`getPieSeries()`
Returns the meta object for class '`Pie Series`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Clockwise()`
Returns the meta object for the attribute '`Clockwise`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Explosion()`
Returns the meta object for the attribute '`Explosion`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_ExplosionExpression()`
Returns the meta object for the attribute '`Explosion Expression`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_InnerRadius()`
Returns the meta object for the attribute '`Inner Radius`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_InnerRadiusPercent()`
Returns the meta object for the attribute '`Inner Radius Percent`'.
`org.eclipse.emf.ecore.EReference`
`getPieSeries_LeaderLineAttributes()`
Returns the meta object for the containment reference '`Leader Line Attributes`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_LeaderLineLength()`
Returns the meta object for the attribute '`Leader Line Length`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_LeaderLineStyle()`
Returns the meta object for the attribute '`Leader Line Style`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Ratio()`
Returns the meta object for the attribute '`Ratio`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Rotation()`
Returns the meta object for the attribute '`Rotation`'.
`org.eclipse.emf.ecore.EReference`
`getPieSeries_SliceOutline()`
Returns the meta object for the containment reference '`Slice Outline`'.
`org.eclipse.emf.ecore.EReference`
`getPieSeries_Title()`
Returns the meta object for the containment reference '`Title`'.
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_TitlePosition()`
Returns the meta object for the attribute '`Title Position`'.
`org.eclipse.emf.ecore.EClass`
`getScatterSeries()`
Returns the meta object for class '`Scatter Series`'.
`org.eclipse.emf.ecore.EClass`
`getStockSeries()`
Returns the meta object for class '`Stock Series`'.
`org.eclipse.emf.ecore.EReference`
`getStockSeries_Fill()`
Returns the meta object for the containment reference '`Fill`'.
`org.eclipse.emf.ecore.EReference`
`getStockSeries_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EAttribute`
`getStockSeries_ShowAsBarStick()`
Returns the meta object for the attribute '`Show As Bar Stick`'.
`org.eclipse.emf.ecore.EAttribute`
`getStockSeries_StickLength()`
Returns the meta object for the attribute '`Stick Length`'.
`TypeFactory`
`getTypeFactory()`
Returns the factory that creates the instances of the model.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final TypePackage eINSTANCE
The singleton instance of the package.

### BAR_SERIES

static final int BAR_SERIES
The meta object id for the '`Bar Series`' class.

See Also:
  - `BarSeriesImpl`
  - `TypePackageImpl.getBarSeries()`
  - Constant Field Values

### LINE_SERIES

static final int LINE_SERIES
The meta object id for the '`Line Series`' class.

See Also:
  - `LineSeriesImpl`
  - `TypePackageImpl.getLineSeries()`
  - Constant Field Values

### LINE_SERIES__VISIBLE

static final int LINE_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES__LABEL

static final int LINE_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### LINE_SERIES__DATA_DEFINITION

static final int LINE_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### LINE_SERIES__SERIES_IDENTIFIER

static final int LINE_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES__DATA_POINT

static final int LINE_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### LINE_SERIES__DATA_SETS

static final int LINE_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### LINE_SERIES__LABEL_POSITION

static final int LINE_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES__STACKED

static final int LINE_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES__TRIGGERS

static final int LINE_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### LINE_SERIES__TRANSLUCENT

static final int LINE_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES__CURVE_FITTING

static final int LINE_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### LINE_SERIES__CURSOR

static final int LINE_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### LINE_SERIES__MARKERS

static final int LINE_SERIES__MARKERS
The feature id for the 'Markers' containment reference list.

See Also:
  - Constant Field Values

### LINE_SERIES__MARKER

static final int LINE_SERIES__MARKER
The feature id for the 'Marker' containment reference.

See Also:
  - Constant Field Values

### LINE_SERIES__LINE_ATTRIBUTES

static final int LINE_SERIES__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### LINE_SERIES__PALETTE_LINE_COLOR

static final int LINE_SERIES__PALETTE_LINE_COLOR
The feature id for the 'Palette Line Color' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES__CURVE

static final int LINE_SERIES__CURVE
The feature id for the 'Curve' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES__SHADOW_COLOR

static final int LINE_SERIES__SHADOW_COLOR
The feature id for the 'Shadow Color' containment reference.

See Also:
  - Constant Field Values

### LINE_SERIES__CONNECT_MISSING_VALUE

static final int LINE_SERIES__CONNECT_MISSING_VALUE
The feature id for the 'Connect Missing Value' attribute.

See Also:
  - Constant Field Values

### LINE_SERIES_FEATURE_COUNT

static final int LINE_SERIES_FEATURE_COUNT
The number of structural features of the 'Line Series' class.

See Also:
  - Constant Field Values

### AREA_SERIES

static final int AREA_SERIES
The meta object id for the '`Area Series`' class.

See Also:
  - `AreaSeriesImpl`
  - `TypePackageImpl.getAreaSeries()`
  - Constant Field Values

### AREA_SERIES__VISIBLE

static final int AREA_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES__LABEL

static final int AREA_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### AREA_SERIES__DATA_DEFINITION

static final int AREA_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### AREA_SERIES__SERIES_IDENTIFIER

static final int AREA_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES__DATA_POINT

static final int AREA_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### AREA_SERIES__DATA_SETS

static final int AREA_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### AREA_SERIES__LABEL_POSITION

static final int AREA_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES__STACKED

static final int AREA_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES__TRIGGERS

static final int AREA_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### AREA_SERIES__TRANSLUCENT

static final int AREA_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES__CURVE_FITTING

static final int AREA_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### AREA_SERIES__CURSOR

static final int AREA_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### AREA_SERIES__MARKERS

static final int AREA_SERIES__MARKERS
The feature id for the 'Markers' containment reference list.

See Also:
  - Constant Field Values

### AREA_SERIES__MARKER

static final int AREA_SERIES__MARKER
The feature id for the 'Marker' containment reference.

See Also:
  - Constant Field Values

### AREA_SERIES__LINE_ATTRIBUTES

static final int AREA_SERIES__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### AREA_SERIES__PALETTE_LINE_COLOR

static final int AREA_SERIES__PALETTE_LINE_COLOR
The feature id for the 'Palette Line Color' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES__CURVE

static final int AREA_SERIES__CURVE
The feature id for the 'Curve' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES__SHADOW_COLOR

static final int AREA_SERIES__SHADOW_COLOR
The feature id for the 'Shadow Color' containment reference.

See Also:
  - Constant Field Values

### AREA_SERIES__CONNECT_MISSING_VALUE

static final int AREA_SERIES__CONNECT_MISSING_VALUE
The feature id for the 'Connect Missing Value' attribute.

See Also:
  - Constant Field Values

### AREA_SERIES_FEATURE_COUNT

static final int AREA_SERIES_FEATURE_COUNT
The number of structural features of the 'Area Series' class.

See Also:
  - Constant Field Values

### BAR_SERIES__VISIBLE

static final int BAR_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### BAR_SERIES__LABEL

static final int BAR_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### BAR_SERIES__DATA_DEFINITION

static final int BAR_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### BAR_SERIES__SERIES_IDENTIFIER

static final int BAR_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### BAR_SERIES__DATA_POINT

static final int BAR_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### BAR_SERIES__DATA_SETS

static final int BAR_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### BAR_SERIES__LABEL_POSITION

static final int BAR_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### BAR_SERIES__STACKED

static final int BAR_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### BAR_SERIES__TRIGGERS

static final int BAR_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### BAR_SERIES__TRANSLUCENT

static final int BAR_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### BAR_SERIES__CURVE_FITTING

static final int BAR_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### BAR_SERIES__CURSOR

static final int BAR_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### BAR_SERIES__RISER

static final int BAR_SERIES__RISER
The feature id for the 'Riser' attribute.

See Also:
  - Constant Field Values

### BAR_SERIES__RISER_OUTLINE

static final int BAR_SERIES__RISER_OUTLINE
The feature id for the 'Riser Outline' containment reference.

See Also:
  - Constant Field Values

### BAR_SERIES_FEATURE_COUNT

static final int BAR_SERIES_FEATURE_COUNT
The number of structural features of the 'Bar Series' class.

See Also:
  - Constant Field Values

### DIAL_SERIES

static final int DIAL_SERIES
The meta object id for the '`Dial Series`' class.

See Also:
  - `DialSeriesImpl`
  - `TypePackageImpl.getDialSeries()`
  - Constant Field Values

### DIFFERENCE_SERIES

static final int DIFFERENCE_SERIES
The meta object id for the '`Difference Series`' class.

See Also:
  - `DifferenceSeriesImpl`
  - `TypePackageImpl.getDifferenceSeries()`
  - Constant Field Values

### GANTT_SERIES

static final int GANTT_SERIES
The meta object id for the '`Gantt Series`' class.

See Also:
  - `GanttSeriesImpl`
  - `TypePackageImpl.getGanttSeries()`
  - Constant Field Values

### PIE_SERIES

static final int PIE_SERIES
The meta object id for the '`Pie Series`' class.

See Also:
  - `PieSeriesImpl`
  - `TypePackageImpl.getPieSeries()`
  - Constant Field Values

### SCATTER_SERIES

static final int SCATTER_SERIES
The meta object id for the '`Scatter Series`' class.

See Also:
  - `ScatterSeriesImpl`
  - `TypePackageImpl.getScatterSeries()`
  - Constant Field Values

### SCATTER_SERIES__VISIBLE

static final int SCATTER_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES__LABEL

static final int SCATTER_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### SCATTER_SERIES__DATA_DEFINITION

static final int SCATTER_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### SCATTER_SERIES__SERIES_IDENTIFIER

static final int SCATTER_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES__DATA_POINT

static final int SCATTER_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### SCATTER_SERIES__DATA_SETS

static final int SCATTER_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### SCATTER_SERIES__LABEL_POSITION

static final int SCATTER_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES__STACKED

static final int SCATTER_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES__TRIGGERS

static final int SCATTER_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### SCATTER_SERIES__TRANSLUCENT

static final int SCATTER_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES__CURVE_FITTING

static final int SCATTER_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### SCATTER_SERIES__CURSOR

static final int SCATTER_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### SCATTER_SERIES__MARKERS

static final int SCATTER_SERIES__MARKERS
The feature id for the 'Markers' containment reference list.

See Also:
  - Constant Field Values

### SCATTER_SERIES__MARKER

static final int SCATTER_SERIES__MARKER
The feature id for the 'Marker' containment reference.

See Also:
  - Constant Field Values

### SCATTER_SERIES__LINE_ATTRIBUTES

static final int SCATTER_SERIES__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### SCATTER_SERIES__PALETTE_LINE_COLOR

static final int SCATTER_SERIES__PALETTE_LINE_COLOR
The feature id for the 'Palette Line Color' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES__CURVE

static final int SCATTER_SERIES__CURVE
The feature id for the 'Curve' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES__SHADOW_COLOR

static final int SCATTER_SERIES__SHADOW_COLOR
The feature id for the 'Shadow Color' containment reference.

See Also:
  - Constant Field Values

### SCATTER_SERIES__CONNECT_MISSING_VALUE

static final int SCATTER_SERIES__CONNECT_MISSING_VALUE
The feature id for the 'Connect Missing Value' attribute.

See Also:
  - Constant Field Values

### SCATTER_SERIES_FEATURE_COUNT

static final int SCATTER_SERIES_FEATURE_COUNT
The number of structural features of the 'Scatter Series' class.

See Also:
  - Constant Field Values

### BUBBLE_SERIES

static final int BUBBLE_SERIES
The meta object id for the '`Bubble Series`' class.

See Also:
  - `BubbleSeriesImpl`
  - `TypePackageImpl.getBubbleSeries()`
  - Constant Field Values

### BUBBLE_SERIES__VISIBLE

static final int BUBBLE_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__LABEL

static final int BUBBLE_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__DATA_DEFINITION

static final int BUBBLE_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__SERIES_IDENTIFIER

static final int BUBBLE_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__DATA_POINT

static final int BUBBLE_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__DATA_SETS

static final int BUBBLE_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__LABEL_POSITION

static final int BUBBLE_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__STACKED

static final int BUBBLE_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__TRIGGERS

static final int BUBBLE_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__TRANSLUCENT

static final int BUBBLE_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__CURVE_FITTING

static final int BUBBLE_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__CURSOR

static final int BUBBLE_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__MARKERS

static final int BUBBLE_SERIES__MARKERS
The feature id for the 'Markers' containment reference list.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__MARKER

static final int BUBBLE_SERIES__MARKER
The feature id for the 'Marker' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__LINE_ATTRIBUTES

static final int BUBBLE_SERIES__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__PALETTE_LINE_COLOR

static final int BUBBLE_SERIES__PALETTE_LINE_COLOR
The feature id for the 'Palette Line Color' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__CURVE

static final int BUBBLE_SERIES__CURVE
The feature id for the 'Curve' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__SHADOW_COLOR

static final int BUBBLE_SERIES__SHADOW_COLOR
The feature id for the 'Shadow Color' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__CONNECT_MISSING_VALUE

static final int BUBBLE_SERIES__CONNECT_MISSING_VALUE
The feature id for the 'Connect Missing Value' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__ACC_LINE_ATTRIBUTES

static final int BUBBLE_SERIES__ACC_LINE_ATTRIBUTES
The feature id for the 'Acc Line Attributes' containment reference.

See Also:
  - Constant Field Values

### BUBBLE_SERIES__ACC_ORIENTATION

static final int BUBBLE_SERIES__ACC_ORIENTATION
The feature id for the 'Acc Orientation' attribute.

See Also:
  - Constant Field Values

### BUBBLE_SERIES_FEATURE_COUNT

static final int BUBBLE_SERIES_FEATURE_COUNT
The number of structural features of the 'Bubble Series' class.

See Also:
  - Constant Field Values

### DIAL_SERIES__VISIBLE

static final int DIAL_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### DIAL_SERIES__LABEL

static final int DIAL_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### DIAL_SERIES__DATA_DEFINITION

static final int DIAL_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### DIAL_SERIES__SERIES_IDENTIFIER

static final int DIAL_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### DIAL_SERIES__DATA_POINT

static final int DIAL_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### DIAL_SERIES__DATA_SETS

static final int DIAL_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### DIAL_SERIES__LABEL_POSITION

static final int DIAL_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### DIAL_SERIES__STACKED

static final int DIAL_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### DIAL_SERIES__TRIGGERS

static final int DIAL_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### DIAL_SERIES__TRANSLUCENT

static final int DIAL_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### DIAL_SERIES__CURVE_FITTING

static final int DIAL_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### DIAL_SERIES__CURSOR

static final int DIAL_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### DIAL_SERIES__DIAL

static final int DIAL_SERIES__DIAL
The feature id for the 'Dial' containment reference.

See Also:
  - Constant Field Values

### DIAL_SERIES__NEEDLE

static final int DIAL_SERIES__NEEDLE
The feature id for the 'Needle' containment reference.

See Also:
  - Constant Field Values

### DIAL_SERIES_FEATURE_COUNT

static final int DIAL_SERIES_FEATURE_COUNT
The number of structural features of the 'Dial Series' class.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__VISIBLE

static final int DIFFERENCE_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__LABEL

static final int DIFFERENCE_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__DATA_DEFINITION

static final int DIFFERENCE_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__SERIES_IDENTIFIER

static final int DIFFERENCE_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__DATA_POINT

static final int DIFFERENCE_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__DATA_SETS

static final int DIFFERENCE_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__LABEL_POSITION

static final int DIFFERENCE_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__STACKED

static final int DIFFERENCE_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__TRIGGERS

static final int DIFFERENCE_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__TRANSLUCENT

static final int DIFFERENCE_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__CURVE_FITTING

static final int DIFFERENCE_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__CURSOR

static final int DIFFERENCE_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__MARKERS

static final int DIFFERENCE_SERIES__MARKERS
The feature id for the 'Markers' containment reference list.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__MARKER

static final int DIFFERENCE_SERIES__MARKER
The feature id for the 'Marker' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__LINE_ATTRIBUTES

static final int DIFFERENCE_SERIES__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__PALETTE_LINE_COLOR

static final int DIFFERENCE_SERIES__PALETTE_LINE_COLOR
The feature id for the 'Palette Line Color' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__CURVE

static final int DIFFERENCE_SERIES__CURVE
The feature id for the 'Curve' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__SHADOW_COLOR

static final int DIFFERENCE_SERIES__SHADOW_COLOR
The feature id for the 'Shadow Color' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__CONNECT_MISSING_VALUE

static final int DIFFERENCE_SERIES__CONNECT_MISSING_VALUE
The feature id for the 'Connect Missing Value' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__NEGATIVE_MARKERS

static final int DIFFERENCE_SERIES__NEGATIVE_MARKERS
The feature id for the 'Negative Markers' containment reference list.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES__NEGATIVE_LINE_ATTRIBUTES

static final int DIFFERENCE_SERIES__NEGATIVE_LINE_ATTRIBUTES
The feature id for the 'Negative Line Attributes' containment reference.

See Also:
  - Constant Field Values

### DIFFERENCE_SERIES_FEATURE_COUNT

static final int DIFFERENCE_SERIES_FEATURE_COUNT
The number of structural features of the 'Difference Series' class.

See Also:
  - Constant Field Values

### GANTT_SERIES__VISIBLE

static final int GANTT_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__LABEL

static final int GANTT_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__DATA_DEFINITION

static final int GANTT_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### GANTT_SERIES__SERIES_IDENTIFIER

static final int GANTT_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__DATA_POINT

static final int GANTT_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__DATA_SETS

static final int GANTT_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### GANTT_SERIES__LABEL_POSITION

static final int GANTT_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__STACKED

static final int GANTT_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__TRIGGERS

static final int GANTT_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### GANTT_SERIES__TRANSLUCENT

static final int GANTT_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__CURVE_FITTING

static final int GANTT_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__CURSOR

static final int GANTT_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__START_MARKER

static final int GANTT_SERIES__START_MARKER
The feature id for the 'Start Marker' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__START_MARKER_POSITION

static final int GANTT_SERIES__START_MARKER_POSITION
The feature id for the 'Start Marker Position' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__END_MARKER

static final int GANTT_SERIES__END_MARKER
The feature id for the 'End Marker' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__END_MARKER_POSITION

static final int GANTT_SERIES__END_MARKER_POSITION
The feature id for the 'End Marker Position' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__CONNECTION_LINE

static final int GANTT_SERIES__CONNECTION_LINE
The feature id for the 'Connection Line' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__OUTLINE

static final int GANTT_SERIES__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__OUTLINE_FILL

static final int GANTT_SERIES__OUTLINE_FILL
The feature id for the 'Outline Fill' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__USE_DECORATION_LABEL_VALUE

static final int GANTT_SERIES__USE_DECORATION_LABEL_VALUE
The feature id for the 'Use Decoration Label Value' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__DECORATION_LABEL

static final int GANTT_SERIES__DECORATION_LABEL
The feature id for the 'Decoration Label' containment reference.

See Also:
  - Constant Field Values

### GANTT_SERIES__DECORATION_LABEL_POSITION

static final int GANTT_SERIES__DECORATION_LABEL_POSITION
The feature id for the 'Decoration Label Position' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES__PALETTE_LINE_COLOR

static final int GANTT_SERIES__PALETTE_LINE_COLOR
The feature id for the 'Palette Line Color' attribute.

See Also:
  - Constant Field Values

### GANTT_SERIES_FEATURE_COUNT

static final int GANTT_SERIES_FEATURE_COUNT
The number of structural features of the 'Gantt Series' class.

See Also:
  - Constant Field Values

### PIE_SERIES__VISIBLE

static final int PIE_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__LABEL

static final int PIE_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### PIE_SERIES__DATA_DEFINITION

static final int PIE_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### PIE_SERIES__SERIES_IDENTIFIER

static final int PIE_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__DATA_POINT

static final int PIE_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### PIE_SERIES__DATA_SETS

static final int PIE_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### PIE_SERIES__LABEL_POSITION

static final int PIE_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__STACKED

static final int PIE_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__TRIGGERS

static final int PIE_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### PIE_SERIES__TRANSLUCENT

static final int PIE_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__CURVE_FITTING

static final int PIE_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### PIE_SERIES__CURSOR

static final int PIE_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### PIE_SERIES__EXPLOSION

static final int PIE_SERIES__EXPLOSION
The feature id for the 'Explosion' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__EXPLOSION_EXPRESSION

static final int PIE_SERIES__EXPLOSION_EXPRESSION
The feature id for the 'Explosion Expression' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__TITLE

static final int PIE_SERIES__TITLE
The feature id for the 'Title' containment reference.

See Also:
  - Constant Field Values

### PIE_SERIES__TITLE_POSITION

static final int PIE_SERIES__TITLE_POSITION
The feature id for the 'Title Position' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__LEADER_LINE_ATTRIBUTES

static final int PIE_SERIES__LEADER_LINE_ATTRIBUTES
The feature id for the 'Leader Line Attributes' containment reference.

See Also:
  - Constant Field Values

### PIE_SERIES__LEADER_LINE_STYLE

static final int PIE_SERIES__LEADER_LINE_STYLE
The feature id for the 'Leader Line Style' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__LEADER_LINE_LENGTH

static final int PIE_SERIES__LEADER_LINE_LENGTH
The feature id for the 'Leader Line Length' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__SLICE_OUTLINE

static final int PIE_SERIES__SLICE_OUTLINE
The feature id for the 'Slice Outline' containment reference.

See Also:
  - Constant Field Values

### PIE_SERIES__RATIO

static final int PIE_SERIES__RATIO
The feature id for the 'Ratio' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__ROTATION

static final int PIE_SERIES__ROTATION
The feature id for the 'Rotation' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__CLOCKWISE

static final int PIE_SERIES__CLOCKWISE
The feature id for the 'Clockwise' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__INNER_RADIUS

static final int PIE_SERIES__INNER_RADIUS
The feature id for the 'Inner Radius' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES__INNER_RADIUS_PERCENT

static final int PIE_SERIES__INNER_RADIUS_PERCENT
The feature id for the 'Inner Radius Percent' attribute.

See Also:
  - Constant Field Values

### PIE_SERIES_FEATURE_COUNT

static final int PIE_SERIES_FEATURE_COUNT
The number of structural features of the 'Pie Series' class.

See Also:
  - Constant Field Values

### STOCK_SERIES

static final int STOCK_SERIES
The meta object id for the '`Stock Series`' class.

See Also:
  - `StockSeriesImpl`
  - `TypePackageImpl.getStockSeries()`
  - Constant Field Values

### STOCK_SERIES__VISIBLE

static final int STOCK_SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### STOCK_SERIES__LABEL

static final int STOCK_SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### STOCK_SERIES__DATA_DEFINITION

static final int STOCK_SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### STOCK_SERIES__SERIES_IDENTIFIER

static final int STOCK_SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### STOCK_SERIES__DATA_POINT

static final int STOCK_SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### STOCK_SERIES__DATA_SETS

static final int STOCK_SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### STOCK_SERIES__LABEL_POSITION

static final int STOCK_SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### STOCK_SERIES__STACKED

static final int STOCK_SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### STOCK_SERIES__TRIGGERS

static final int STOCK_SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### STOCK_SERIES__TRANSLUCENT

static final int STOCK_SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### STOCK_SERIES__CURVE_FITTING

static final int STOCK_SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### STOCK_SERIES__CURSOR

static final int STOCK_SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### STOCK_SERIES__FILL

static final int STOCK_SERIES__FILL
The feature id for the 'Fill' containment reference.

See Also:
  - Constant Field Values

### STOCK_SERIES__LINE_ATTRIBUTES

static final int STOCK_SERIES__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### STOCK_SERIES__SHOW_AS_BAR_STICK

static final int STOCK_SERIES__SHOW_AS_BAR_STICK
The feature id for the 'Show As Bar Stick' attribute.

See Also:
  - Constant Field Values

### STOCK_SERIES__STICK_LENGTH

static final int STOCK_SERIES__STICK_LENGTH
The feature id for the 'Stick Length' attribute.

See Also:
  - Constant Field Values

### STOCK_SERIES_FEATURE_COUNT

static final int STOCK_SERIES_FEATURE_COUNT
The number of structural features of the 'Stock Series' class.

See Also:
  - Constant Field Values

## Method Details

### getAreaSeries

org.eclipse.emf.ecore.EClass getAreaSeries()
Returns the meta object for class '`Area Series`'.

Returns:
  the meta object for class 'Area Series'.
See Also:
  - `AreaSeries`

### getBarSeries

org.eclipse.emf.ecore.EClass getBarSeries()
Returns the meta object for class '`Bar Series`'.

Returns:
  the meta object for class 'Bar Series'.
See Also:
  - `BarSeries`

### getBarSeries_Riser

org.eclipse.emf.ecore.EAttribute getBarSeries_Riser()
Returns the meta object for the attribute '`Riser`'.

Returns:
  the meta object for the attribute 'Riser'.
See Also:
  - `BarSeries.getRiser()`
  - `getBarSeries()`

### getBarSeries_RiserOutline

org.eclipse.emf.ecore.EReference getBarSeries_RiserOutline()
Returns the meta object for the containment reference '`Riser Outline`'.

Returns:
  the meta object for the containment reference 'Riser Outline'.
See Also:
  - `BarSeries.getRiserOutline()`
  - `getBarSeries()`

### getBubbleSeries

org.eclipse.emf.ecore.EClass getBubbleSeries()
Returns the meta object for class '`Bubble Series`'.

Returns:
  the meta object for class 'Bubble Series'.
See Also:
  - `BubbleSeries`

### getBubbleSeries_AccLineAttributes

org.eclipse.emf.ecore.EReference getBubbleSeries_AccLineAttributes()
Returns the meta object for the containment reference '`Acc Line Attributes`'.

Returns:
  the meta object for the containment reference 'Acc Line Attributes'.
See Also:
  - `BubbleSeries.getAccLineAttributes()`
  - `getBubbleSeries()`

### getBubbleSeries_AccOrientation

org.eclipse.emf.ecore.EAttribute getBubbleSeries_AccOrientation()
Returns the meta object for the attribute '`Acc Orientation`'.

Returns:
  the meta object for the attribute 'Acc Orientation'.
See Also:
  - `BubbleSeries.getAccOrientation()`
  - `getBubbleSeries()`

### getDialSeries

org.eclipse.emf.ecore.EClass getDialSeries()
Returns the meta object for class '`Dial Series`'.

Returns:
  the meta object for class 'Dial Series'.
See Also:
  - `DialSeries`

### getDialSeries_Dial

org.eclipse.emf.ecore.EReference getDialSeries_Dial()
Returns the meta object for the containment reference '`Dial`'.

Returns:
  the meta object for the containment reference 'Dial'.
See Also:
  - `DialSeries.getDial()`
  - `getDialSeries()`

### getDialSeries_Needle

org.eclipse.emf.ecore.EReference getDialSeries_Needle()
Returns the meta object for the containment reference '`Needle`'.

Returns:
  the meta object for the containment reference 'Needle'.
See Also:
  - `DialSeries.getNeedle()`
  - `getDialSeries()`

### getDifferenceSeries

org.eclipse.emf.ecore.EClass getDifferenceSeries()
Returns the meta object for class '`Difference Series`'.

Returns:
  the meta object for class 'Difference Series'.
See Also:
  - `DifferenceSeries`

### getDifferenceSeries_NegativeMarkers

org.eclipse.emf.ecore.EReference getDifferenceSeries_NegativeMarkers()
Returns the meta object for the containment reference list '`Negative Markers`'.

Returns:
  the meta object for the containment reference list 'Negative Markers'.
See Also:
  - `DifferenceSeries.getNegativeMarkers()`
  - `getDifferenceSeries()`

### getDifferenceSeries_NegativeLineAttributes

org.eclipse.emf.ecore.EReference getDifferenceSeries_NegativeLineAttributes()
Returns the meta object for the containment reference '`Negative Line Attributes`'.

Returns:
  the meta object for the containment reference 'Negative Line Attributes'.
See Also:
  - `DifferenceSeries.getNegativeLineAttributes()`
  - `getDifferenceSeries()`

### getGanttSeries

org.eclipse.emf.ecore.EClass getGanttSeries()
Returns the meta object for class '`Gantt Series`'.

Returns:
  the meta object for class 'Gantt Series'.
See Also:
  - `GanttSeries`

### getGanttSeries_StartMarker

org.eclipse.emf.ecore.EReference getGanttSeries_StartMarker()
Returns the meta object for the containment reference '`Start Marker`'.

Returns:
  the meta object for the containment reference 'Start Marker'.
See Also:
  - `GanttSeries.getStartMarker()`
  - `getGanttSeries()`

### getGanttSeries_StartMarkerPosition

org.eclipse.emf.ecore.EAttribute getGanttSeries_StartMarkerPosition()
Returns the meta object for the attribute '`Start Marker Position`'.

Returns:
  the meta object for the attribute 'Start Marker Position'.
See Also:
  - `GanttSeries.getStartMarkerPosition()`
  - `getGanttSeries()`

### getGanttSeries_EndMarker

org.eclipse.emf.ecore.EReference getGanttSeries_EndMarker()
Returns the meta object for the containment reference '`End Marker`'.

Returns:
  the meta object for the containment reference 'End Marker'.
See Also:
  - `GanttSeries.getEndMarker()`
  - `getGanttSeries()`

### getGanttSeries_EndMarkerPosition

org.eclipse.emf.ecore.EAttribute getGanttSeries_EndMarkerPosition()
Returns the meta object for the attribute '`End Marker Position`'.

Returns:
  the meta object for the attribute 'End Marker Position'.
See Also:
  - `GanttSeries.getEndMarkerPosition()`
  - `getGanttSeries()`

### getGanttSeries_ConnectionLine

org.eclipse.emf.ecore.EReference getGanttSeries_ConnectionLine()
Returns the meta object for the containment reference '`Connection Line`'.

Returns:
  the meta object for the containment reference 'Connection Line'.
See Also:
  - `GanttSeries.getConnectionLine()`
  - `getGanttSeries()`

### getGanttSeries_Outline

org.eclipse.emf.ecore.EReference getGanttSeries_Outline()
Returns the meta object for the containment reference '`Outline`'.

Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `GanttSeries.getOutline()`
  - `getGanttSeries()`

### getGanttSeries_OutlineFill

org.eclipse.emf.ecore.EReference getGanttSeries_OutlineFill()
Returns the meta object for the containment reference '`Outline Fill`'.

Returns:
  the meta object for the containment reference 'Outline Fill'.
See Also:
  - `GanttSeries.getOutlineFill()`
  - `getGanttSeries()`

### getGanttSeries_UseDecorationLabelValue

org.eclipse.emf.ecore.EAttribute getGanttSeries_UseDecorationLabelValue()
Returns the meta object for the attribute '`Use Decoration Label Value`'.

Returns:
  the meta object for the attribute 'Use Decoration Label Value'.
See Also:
  - `GanttSeries.isUseDecorationLabelValue()`
  - `getGanttSeries()`

### getGanttSeries_DecorationLabel

org.eclipse.emf.ecore.EReference getGanttSeries_DecorationLabel()
Returns the meta object for the containment reference '`Decoration Label`'.

Returns:
  the meta object for the containment reference 'Decoration Label'.
See Also:
  - `GanttSeries.getDecorationLabel()`
  - `getGanttSeries()`

### getGanttSeries_DecorationLabelPosition

org.eclipse.emf.ecore.EAttribute getGanttSeries_DecorationLabelPosition()
Returns the meta object for the attribute '`Decoration Label Position`'.

Returns:
  the meta object for the attribute 'Decoration Label Position'.
See Also:
  - `GanttSeries.getDecorationLabelPosition()`
  - `getGanttSeries()`

### getGanttSeries_PaletteLineColor

org.eclipse.emf.ecore.EAttribute getGanttSeries_PaletteLineColor()
Returns the meta object for the attribute '`Palette Line Color`'.

Returns:
  the meta object for the attribute 'Palette Line Color'.
See Also:
  - `GanttSeries.isPaletteLineColor()`
  - `getGanttSeries()`

### getLineSeries

org.eclipse.emf.ecore.EClass getLineSeries()
Returns the meta object for class '`Line Series`'.

Returns:
  the meta object for class 'Line Series'.
See Also:
  - `LineSeries`

### getLineSeries_Markers

org.eclipse.emf.ecore.EReference getLineSeries_Markers()
Returns the meta object for the containment reference list '`Markers`'.

Returns:
  the meta object for the containment reference list 'Markers'.
See Also:
  - `LineSeries.getMarkers()`
  - `getLineSeries()`

### getLineSeries_Marker

org.eclipse.emf.ecore.EReference getLineSeries_Marker()
Returns the meta object for the containment reference '`Marker`'.

Returns:
  the meta object for the containment reference 'Marker'.
See Also:
  - `LineSeries.getMarker()`
  - `getLineSeries()`

### getLineSeries_LineAttributes

org.eclipse.emf.ecore.EReference getLineSeries_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `LineSeries.getLineAttributes()`
  - `getLineSeries()`

### getLineSeries_PaletteLineColor

org.eclipse.emf.ecore.EAttribute getLineSeries_PaletteLineColor()
Returns the meta object for the attribute '`Palette Line Color`'.

Returns:
  the meta object for the attribute 'Palette Line Color'.
See Also:
  - `LineSeries.isPaletteLineColor()`
  - `getLineSeries()`

### getLineSeries_Curve

org.eclipse.emf.ecore.EAttribute getLineSeries_Curve()
Returns the meta object for the attribute '`Curve`'.

Returns:
  the meta object for the attribute 'Curve'.
See Also:
  - `LineSeries.isCurve()`
  - `getLineSeries()`

### getLineSeries_ShadowColor

org.eclipse.emf.ecore.EReference getLineSeries_ShadowColor()
Returns the meta object for the containment reference '`Shadow Color`'.

Returns:
  the meta object for the containment reference 'Shadow Color'.
See Also:
  - `LineSeries.getShadowColor()`
  - `getLineSeries()`

### getLineSeries_ConnectMissingValue

org.eclipse.emf.ecore.EAttribute getLineSeries_ConnectMissingValue()
Returns the meta object for the attribute '`Connect Missing Value`'.

Returns:
  the meta object for the attribute 'Connect Missing Value'.
See Also:
  - `LineSeries.isConnectMissingValue()`
  - `getLineSeries()`

### getPieSeries

org.eclipse.emf.ecore.EClass getPieSeries()
Returns the meta object for class '`Pie Series`'.

Returns:
  the meta object for class 'Pie Series'.
See Also:
  - `PieSeries`

### getPieSeries_Explosion

org.eclipse.emf.ecore.EAttribute getPieSeries_Explosion()
Returns the meta object for the attribute '`Explosion`'.

Returns:
  the meta object for the attribute 'Explosion'.
See Also:
  - `PieSeries.getExplosion()`
  - `getPieSeries()`

### getPieSeries_ExplosionExpression

org.eclipse.emf.ecore.EAttribute getPieSeries_ExplosionExpression()
Returns the meta object for the attribute '`Explosion Expression`'.

Returns:
  the meta object for the attribute 'Explosion Expression'.
See Also:
  - `PieSeries.getExplosionExpression()`
  - `getPieSeries()`

### getPieSeries_Title

org.eclipse.emf.ecore.EReference getPieSeries_Title()
Returns the meta object for the containment reference '`Title`'.

Returns:
  the meta object for the containment reference 'Title'.
See Also:
  - `PieSeries.getTitle()`
  - `getPieSeries()`

### getPieSeries_TitlePosition

org.eclipse.emf.ecore.EAttribute getPieSeries_TitlePosition()
Returns the meta object for the attribute '`Title Position`'.

Returns:
  the meta object for the attribute 'Title Position'.
See Also:
  - `PieSeries.getTitlePosition()`
  - `getPieSeries()`

### getPieSeries_LeaderLineAttributes

org.eclipse.emf.ecore.EReference getPieSeries_LeaderLineAttributes()
Returns the meta object for the containment reference '`Leader Line Attributes`'.

Returns:
  the meta object for the containment reference 'Leader Line Attributes'.
See Also:
  - `PieSeries.getLeaderLineAttributes()`
  - `getPieSeries()`

### getPieSeries_LeaderLineStyle

org.eclipse.emf.ecore.EAttribute getPieSeries_LeaderLineStyle()
Returns the meta object for the attribute '`Leader Line Style`'.

Returns:
  the meta object for the attribute 'Leader Line Style'.
See Also:
  - `PieSeries.getLeaderLineStyle()`
  - `getPieSeries()`

### getPieSeries_LeaderLineLength

org.eclipse.emf.ecore.EAttribute getPieSeries_LeaderLineLength()
Returns the meta object for the attribute '`Leader Line Length`'.

Returns:
  the meta object for the attribute 'Leader Line Length'.
See Also:
  - `PieSeries.getLeaderLineLength()`
  - `getPieSeries()`

### getPieSeries_SliceOutline

org.eclipse.emf.ecore.EReference getPieSeries_SliceOutline()
Returns the meta object for the containment reference '`Slice Outline`'.

Returns:
  the meta object for the containment reference 'Slice Outline'.
See Also:
  - `PieSeries.getSliceOutline()`
  - `getPieSeries()`

### getPieSeries_Ratio

org.eclipse.emf.ecore.EAttribute getPieSeries_Ratio()
Returns the meta object for the attribute '`Ratio`'.

Returns:
  the meta object for the attribute 'Ratio'.
See Also:
  - `PieSeries.getRatio()`
  - `getPieSeries()`

### getPieSeries_Rotation

org.eclipse.emf.ecore.EAttribute getPieSeries_Rotation()
Returns the meta object for the attribute '`Rotation`'.

Returns:
  the meta object for the attribute 'Rotation'.
See Also:
  - `PieSeries.getRotation()`
  - `getPieSeries()`

### getPieSeries_Clockwise

org.eclipse.emf.ecore.EAttribute getPieSeries_Clockwise()
Returns the meta object for the attribute '`Clockwise`'.

Returns:
  the meta object for the attribute 'Clockwise'.
See Also:
  - `PieSeries.isClockwise()`
  - `getPieSeries()`

### getPieSeries_InnerRadius

org.eclipse.emf.ecore.EAttribute getPieSeries_InnerRadius()
Returns the meta object for the attribute '`Inner Radius`'.

Returns:
  the meta object for the attribute 'Inner Radius'.
See Also:
  - `PieSeries.getInnerRadius()`
  - `getPieSeries()`

### getPieSeries_InnerRadiusPercent

org.eclipse.emf.ecore.EAttribute getPieSeries_InnerRadiusPercent()
Returns the meta object for the attribute '`Inner Radius Percent`'.

Returns:
  the meta object for the attribute 'Inner Radius Percent'.
See Also:
  - `PieSeries.isInnerRadiusPercent()`
  - `getPieSeries()`

### getScatterSeries

org.eclipse.emf.ecore.EClass getScatterSeries()
Returns the meta object for class '`Scatter Series`'.

Returns:
  the meta object for class 'Scatter Series'.
See Also:
  - `ScatterSeries`

### getStockSeries

org.eclipse.emf.ecore.EClass getStockSeries()
Returns the meta object for class '`Stock Series`'.

Returns:
  the meta object for class 'Stock Series'.
See Also:
  - `StockSeries`

### getStockSeries_Fill

org.eclipse.emf.ecore.EReference getStockSeries_Fill()
Returns the meta object for the containment reference '`Fill`'.

Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `StockSeries.getFill()`
  - `getStockSeries()`

### getStockSeries_LineAttributes

org.eclipse.emf.ecore.EReference getStockSeries_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `StockSeries.getLineAttributes()`
  - `getStockSeries()`

### getStockSeries_ShowAsBarStick

org.eclipse.emf.ecore.EAttribute getStockSeries_ShowAsBarStick()
Returns the meta object for the attribute '`Show As Bar Stick`'.

Returns:
  the meta object for the attribute 'Show As Bar Stick'.
See Also:
  - `StockSeries.isShowAsBarStick()`
  - `getStockSeries()`

### getStockSeries_StickLength

org.eclipse.emf.ecore.EAttribute getStockSeries_StickLength()
Returns the meta object for the attribute '`Stick Length`'.

Returns:
  the meta object for the attribute 'Stick Length'.
See Also:
  - `StockSeries.getStickLength()`
  - `getStockSeries()`

### getTypeFactory

TypeFactory getTypeFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.